## qrisk2 0.0.r31

=== Makefile ===
# Copyright 2013 ClinRisk Ltd.
#
# This file is part of QRISK2-2013 (http://qrisk.org, http://svn.clinrisk.co.uk/opensource/qrisk2).
#
# QRISK2-2013 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# QRISK2-2013 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with QRISK2-2013.  If not, see <http://www.gnu.org/licenses/>.
#
# Additional terms
#
# The following disclaimer must be displayed alongside any risk score generated by this code.
#   The initial version of this file, to be found at http://svn.clinrisk.co.uk/opensource/qrisk2, faithfully implements QRISK2-2013.
#   We have released this code under the GNU Lesser General Public License to enable others to implement the algorithm faithfully.
#   However, the nature of the GNU Lesser General Public License is such that we cannot prevent, for example, someone accidentally 
#   altering the coefficients, getting the inputs wrong, or just poor programming.
#   We stress, therefore, that it is the responsibility of the end user to check that the source that they receive produces the same results as the original code posted at http://svn.clinrisk.co.uk/opensource/qrisk2.
#   Inaccurate implementations of risk scores can lead to wrong patients being given the wrong treatment.
#
# This file has been auto-generated.
# XML source: Q77_qrisk2_2013_1.xml
# STATA dta time stamp: 16 Nov 2012 22:10
# This file was created on: Wed  8 May 2013 07:41:42 BST

CMDLINE_SRC=$(wildcard commandLine/*.c)
CMDLINE_OBJS = $(CMDLINE_SRC:.c=.o)
EXECUTABLES = $(CMDLINE_SRC:.c=)

LIB_SRC=$(wildcard c/*.c)
LIB_OBJ = $(LIB_SRC:.c=.o)
LIB_OUT = lib/libclinrisk.a

INCLUDES = -I include

# compiler
CC = gcc
CCFLAGS = 
LDFLAGS = 

# library paths
LIBS = -Llib -lclinrisk -lm

.SUFFIXES: .c

default: dep executables

executables: $(EXECUTABLES)
	cp $(EXECUTABLES) executables

$(EXECUTABLES): $(LIB_OUT)

.c:
	$(CC) $(INCLUDES) $(LDFLAGS) $< -o $@ $(LIBS)

.c.o:
	$(CC) $(INCLUDES) $(CCFLAGS) -c $< -o $@

$(LIB_OUT): $(LIB_OBJ)
	ar rcs $(LIB_OUT) $(LIB_OBJ)

depend: dep

dep:
	makedepend -- $(CFLAGS) -- -I /usr/include/linux $(INCLUDES) $(LIB_SRC)

clean:
	rm -f $(LIB_OBJ) $(LIB_OUT) Makefile.bak
	rm -f $(CMDLINE_OBJ) $(CMDLINE_PROGS) 
	rm -f executables/*

# DO NOT DELETE

=== debian/changelog ===
qrisk2 (0.0.r31-1) unstable; urgency=low

  * new upstream version: QRISK2-2013 release
  * debian/control: remove "." at end of long description (Closes: #705791)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Jun 2013 22:00:00 +0200

qrisk2 (0.0.r30-1) unstable; urgency=low

  * Initial release (Closes: #705694)
    Part of packaging has been done by Andreas Tille

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Apr 2013 18:00:00 +0200

=== debian/control ===
Source: qrisk2
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9),
 xutils-dev
Standards-Version: 3.9.4
Homepage: http://qrisk.org/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qrisk2/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qrisk2/trunk/

Package: qrisk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cardiovascular disease risk calculator
 You can use this calculator to work out your risk of having a heart
 attack or stroke over the next ten years by answering some simple
 questions. It is suitable for people who do not already have a diagnosis
 of heart disease or stroke.
 .
 The QRISK®2 algorithm has been developed by doctors and academics
 working in the UK National Health Service and is based on routinely
 collected data from many thousands of GPs across the country who have
 freely contributed data for medical research.
 .
 Whilst QRISK2 has been developed for use in the UK, it is being used
 internationally. For non-UK use, if the postcode field is left blank the
 score will be calculated using an average value. Users should note,
 however, that CVD risk is likely to be under-estimated in patients from
 deprived areas and over-estimated for patients from affluent areas. All
 medical decisions need to be taken by a patient in consultation with
 their doctor. The authors and the sponsors accept no responsibility for
 clinical use or misuse of these score.

=== debian/watch ===
# upstream does not release tar files, sources are taken from repository

## qrisk2 0.1.20150729

=== Makefile ===
# Copyright 2013 ClinRisk Ltd.
#
# This file is part of QRISK2-2014 (http://qrisk.org, original sources at http://svn.clinrisk.co.uk/opensource/qrisk2).
#
# QRISK2-2014 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# QRISK2-2014 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with QRISK2-2014.  If not, see <http://www.gnu.org/licenses/>.
#
# Additional terms
#
#  The following disclaimer must be held together with any risk score score generated by this code.  If the score is displayed, then this disclaimer must be displayed or otherwise be made easily accessible, e.g. by a prominent link alongside it.
#   The initial version of this file, to be found at http://svn.clinrisk.co.uk/opensource/qrisk2, faithfully implements QRISK2-2014.
#   ClinRisk Ltd. have released this code under the GNU Lesser General Public License to enable others to implement the algorithm faithfully.
#   However, the nature of the GNU Lesser General Public License is such that we cannot prevent, for example, someone accidentally 
#   altering the coefficients, getting the inputs wrong, or just poor programming.
#   ClinRisk Ltd. stress, therefore, that it is the responsibility of the end user to check that the source that they receive produces the same results as the original code posted at http://svn.clinrisk.co.uk/opensource/qrisk2.
#   Inaccurate implementations of risk scores can lead to wrong patients being given the wrong treatment.
#
# End of additional terms
#
# This file has been auto-generated.
# XML source: Q80_model_4_0.xml
# STATA dta time stamp: 24 Sep 2013 22:39
# This file was created on: Mon  9 Dec 2013 17:58:53 GMT

CMDLINE_SRC=$(wildcard commandLine/*.c)
CMDLINE_OBJS = $(CMDLINE_SRC:.c=.o)
EXECUTABLES = $(CMDLINE_SRC:.c=)

LIB_SRC=$(wildcard c/*.c)
LIB_OBJ = $(LIB_SRC:.c=.o)
LIB_OUT = lib/libclinrisk.a

INCLUDES = -I include

# compiler
CC = gcc
CCFLAGS = 
LDFLAGS = 

# library paths
LIBS = -Llib -lclinrisk -lm

.SUFFIXES: .c

default: dep executables

executables: $(EXECUTABLES)
	cp $(EXECUTABLES) executables

$(EXECUTABLES): $(LIB_OUT)

.c:
	$(CC) $(INCLUDES) $(LDFLAGS) $< -o $@ $(LIBS)

.c.o:
	$(CC) $(INCLUDES) $(CCFLAGS) -c $< -o $@

$(LIB_OUT): $(LIB_OBJ)
	ar rcs $(LIB_OUT) $(LIB_OBJ)

depend: dep

dep:
	makedepend -- $(CFLAGS) -- -I /usr/include/linux $(INCLUDES) $(LIB_SRC)

clean:
	rm -f $(LIB_OBJ) $(LIB_OUT) Makefile.bak
	rm -f $(CMDLINE_OBJ) $(CMDLINE_PROGS) 
	rm -f executables/*

# DO NOT DELETE

c/Q80_model_4_0.o: /usr/include/math.h /usr/include/features.h
c/Q80_model_4_0.o: /usr/include/linux/string.h
c/Q80_model_4_0.o: include/clinrisk/Q80_model_4_0.h include/clinrisk/utils.h
c/Q80_model_4_1.o: /usr/include/math.h /usr/include/features.h
c/Q80_model_4_1.o: /usr/include/linux/string.h
c/Q80_model_4_1.o: include/clinrisk/Q80_model_4_1.h include/clinrisk/utils.h
c/utils.o: /usr/include/linux/string.h include/clinrisk/utils.h

=== debian/changelog ===
qrisk2 (0.1.20150729-5) unstable; urgency=medium

  * Team Upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Nilesh Patra ]
  * Add autopkgtest
  * Fix with cme
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 15 Jul 2020 19:21:31 +0530

qrisk2 (0.1.20150729-4) unstable; urgency=medium

  * Do not hard code location of libc headers (thanks for the patch to
    Helmut Grohne <helmut@subdivi.de>)
    Closes: #911556
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 12:52:06 +0200

qrisk2 (0.1.20150729-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * For some very strange reasons target directories need to be created in
    advance which is done now

 -- Andreas Tille <tille@debian.org>  Sat, 04 Aug 2018 06:01:24 +0200

qrisk2 (0.1.20150729-2) unstable; urgency=medium

  * Enable Build on non-Linux systems (Thanks for the patch to Samuel Thibault
    <sthibault@debian.org>)
    Closes: #845403
  * cme fix dpkg-control
  * Use fake d/watch
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2016 19:33:07 +0100

qrisk2 (0.1.20150729-1) unstable; urgency=medium

  * New upstream checkout (switch to data based versioning since revision
    based is not reliable)
  * Moved packaging from SVN to Git
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * DEP5
  * Adapt lintian overrides

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jan 2016 18:41:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: qrisk2
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Thorsten Alteholz <debian@alteholz.de>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
- Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 9),
- xutils-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13),
+               xutils-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/qrisk2
+Vcs-Git: https://salsa.debian.org/med-team/qrisk2.git
 Homepage: http://qrisk.org/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qrisk2/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qrisk2/trunk/
+Rules-Requires-Root: no
 
 Package: qrisk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: cardiovascular disease risk calculator
  You can use this calculator to work out your risk of having a heart
  attack or stroke over the next ten years by answering some simple

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	mkdir -p lib
	mkdir -p executables
	dh_auto_build

get-orig-source:
	./debian/get-orig-source

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bc
Restrictions: allow-stderr
